gr::satellites::ao40_deinterleaver Class Reference

<+description of block+> More...

`#include <ao40_deinterleaver.h>`

Inheritance diagram for gr::satellites::ao40_deinterleaver:
[legend]

## Public Types

typedef boost::shared_ptr< ao40_deinterleaver > | sptr

## Static Public Member Functions

static sptr | make ()
| Return a shared_ptr to a new instance of satellites::ao40_deinterleaver. More...

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<ao40_deinterleaver> gr::satellites::ao40_deinterleaver::sptr

## Member Function Documentation

## make()

static sptr gr::satellites::ao40_deinterleaver::make | ( |  | ) |

static

Return a shared_ptr to a new instance of satellites::ao40_deinterleaver.

To avoid accidental use of raw pointers, satellites::ao40_deinterleaver's constructor is in a private implementation class. satellites::ao40_deinterleaver::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- ao40_deinterleaver.h